#include "partition.h"
#include<vector>
#include<iostream>
#include<algorithm>
using namespace std;

struct st_aux{
    long long a,ind;
};

vector<st_aux> aux;

bool cmp(st_aux a,st_aux b){
    return a.a<b.a;
}

vector<int> solve(vector<int> A) {
    long long min1=1e18,mask=0,bit,i,auxmin1,cnt,sum=0,sumcur;
    vector<int> rasp;rasp.clear();
    for(i=0;i<A.size();i++){
        aux.push_back({A[i],i});
    }
    for(i=0;i<A.size();i++) rasp.push_back(aux[i].ind);
    return rasp;
}
